Development
  • Guides
  • API Reference
  • API Explorer
  • SDKs
  • Sample apps
  • System status
Support
  • Developer forums
  • Developer blog
  • YouTube
  • X
More
  • Square Home
  • Square Developer
  • App Marketplace
  • Partner with Square
  • Solutions Partner Program
  • Pricing
  • Sales

© 2026 Square, Inc.

  • Developer terms of service
  • Developer Integration and Marketing Agreement
  • Privacy policy
  • Partnerships
  • Sign In
  • Sign In

    Terminal

  • Create terminal action

  • Search terminal actions

  • Get terminal action

  • Cancel terminal action

  • Dismiss terminal action

  • Create terminal checkout

  • Search terminal checkouts

  • Get terminal checkout

  • Cancel terminal checkout

  • Dismiss terminal checkout

  • Create terminal refund

  • Search terminal refunds

  • Get terminal refund

  • Cancel terminal refund

  • Dismiss terminal refund

  • Webhooks

  • terminal.action.created

  • terminal.action.updated

  • terminal.checkout.created

  • terminal.checkout.updated

  • terminal.refund.created

  • terminal.refund.updated

<- Terminal API

Terminal API

All versions ->

Get terminal actionBeta

GET

 /v2/terminals/actions/{action_id}

Retrieves a Terminal action request by action_id.

Terminal action requests are available for 30 days.

Permissions:PAYMENTS_READ
Try in API Explorer
Link to section

Path parameters

Example code

Link to section

action_id

string

Required

Unique ID for the desired TerminalAction.

Link to section

Response fields

Link to section

errors

Information on errors encountered during the request.

Link to section

action

The requested TerminalAction

Link to section

Examples

All versions ->

GET /v2/terminals/actions/{action_id}
curl https://connect.squareup.com/v2/terminals/actions/termapia%3AjveJIAkkAjILHkdCE \ -H 'Square-Version: 2026-11-18' \ -H 'Authorization: Bearer ACCESS_TOKEN' \ -H 'Content-Type: application/json'

Response JSON

{ "action": { "id": "termapia:jveJIAkkAjILHkdCE", "device_id": "DEVICE_ID", "deadline_duration": "PT5M", "status": "IN_PROGRESS", "created_at": "2021-07-28T23:22:07.476Z", "updated_at": "2021-07-28T23:22:08.301Z", "location_id": "LOCATION_ID", "type": "SAVE_CARD", "app_id": "APP_ID", "save_card_options": { "customer_id": "CUSTOMER_ID", "reference_id": "user-id-1" } } }